* {
	box-sizing: border-box;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	margin: 0;
	padding: 0;
}

html,
body {
	width: 100%;
	height: 100%;
	overflow: hidden;
	font-family: Helvetica, Arial, Sans-Serif;
	display: flex;
	justify-content: center;
}

.fullheight {
	height: calc(var(--vh, 1vh) * 100);
}

iframe {
	position: relative;
	width: 100vw;
	height: 100vh;
	height: calc(var(--vh, 1vh) * 100);
	border: none;
}

#overlay-avatar {
	position: absolute;
	width: 50%;
	height: calc(100vh - 100px);
	background: grey;
	top: 20px;
	left: 20px;
	border-radius: 8px;
	overflow: hidden;
	visibility: hidden;
}

#buttons {
	position: absolute;
	top: 0;
	width: 100%;
	display: flex;
	padding: 0.5rem;
	justify-content: space-between;
	align-items: center;
}

button {
	border: none;
	cursor: pointer;
	font-size: 16px;
	width: 40px;
	height: 40px;
	border-radius: 40px;
	display: flex;
	justify-content: center;
	align-items: center;
	line-height: 1rem;
	color: white;
}

#language {
	background-color: teal;
}

#close {
	background-color: transparent;
}

button:hover {
	filter: brightness(1.2);
}

canvas {
	position: absolute;
	width: 100%;
	height: 100%;
	background: #00929a;
	border: none;
}

#overlay {
	position: absolute;
	display: flex;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #000a;
	backdrop-filter: blur(10px);
	justify-content: center;
	align-items: center;
	z-index: 100;
}

#loading {
	color: #fff;
	font-size: 2rem;
	animation: animateCharacters 4s ease-in-out infinite;
}

@keyframes animateCharacters {

	0%,
	100% {
		opacity: 0.25;
	}

	50% {
		opacity: 1;
	}
}

#start {
	padding: 0.8rem 2rem 1rem;
	border-radius: 100px;
	background-color: teal;
	z-index: 100;
	transition: all 0.2s ease-in-out;
}